%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname paramiko

Name:           python-paramiko1.10
Version:        1.10.1
Release:        2%{?dist}
Summary:        SSH2 protocol library for python

Group:          Development/Libraries
# No version specified.
License:        LGPLv2+
URL:            https://github.com/paramiko/paramiko/
Source0:        http://pypi.python.org/packages/source/p/paramiko/paramiko-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: python-setuptools
BuildRequires: python-crypto2.1 >= 2.1
Requires:      python-crypto2.1 >= 2.1

Patch0: python-paramiko1.10-1.10.1-use-paramiko110-and-Crypto21.patch
Patch1: python-paramiko1.10-fsf-address.patch
Patch2: python-paramiko1.10-disable-kex-test.patch

%description
Paramiko (a combination of the esperanto words for "paranoid" and "friend") is
a module for python 2.3 or greater that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines. Unlike SSL (aka
TLS), the SSH2 protocol does not require heirarchical certificates signed by a
powerful central authority. You may know SSH2 as the protocol that replaced
telnet and rsh for secure access to remote shells, but the protocol also
includes the ability to open arbitrary channels to remote services across an
encrypted tunnel. (This is how sftp works, for example.)

This is a parallel update for EPEL6

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv paramiko paramiko110

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%check
%{__python} ./test.py

%files
%doc LICENSE PKG-INFO README 
%{python_sitelib}/%{srcname}110
%{python_sitelib}/%{srcname}*.egg-info

%changelog
* Fri Apr 24 2015 Cleber Rosa <cleber@redhat.com> - 1.10.1-2
- Added patch to update FSF address change
- Updated patch that renames the module to paramiko110, including
  setup.py and tests
- Enabled check target
- Added patch that disables the Key Exchange tests as these are
  incompatible with the backported and required python-crypto 2.1
- Removed unnecessary cleanup of the buildroot
- Removed buildroot definition
- Removed clean section

* Fri Mar 27 2015 Athmane Madjoudj <athmane@fedoraproject.org> 1.10.1-1
- First spec for EPEL6 (based on old Fedora branch)
